--- old/usr/src/uts/common/avs/ns/rdc/rdc_dev.c	sam. juil. 16 15:13:32 2016
+++ new/usr/src/uts/common/avs/ns/rdc/rdc_dev.c	sam. juil. 16 15:13:32 2016
@@ -2965,55 +2965,55 @@
 
 
 static nsc_def_t _rdc_fd_def[] = {
-	"Attach",	(uintptr_t)_rdc_attach_fd,	0,
-	"Pinned",	(uintptr_t)_rdc_pinned,		0,
-	"Unpinned",	(uintptr_t)_rdc_unpinned,	0,
-	0,		0,				0
+	{ "Attach",	(uintptr_t)_rdc_attach_fd,	0 },
+	{ "Pinned",	(uintptr_t)_rdc_pinned,		0 },
+	{ "Unpinned",	(uintptr_t)_rdc_unpinned,	0 },
+	{ NULL,		(uintptr_t)NULL,		0 }
 };
 
 
 static nsc_def_t _rdc_io_def[] = {
-	"Open",		(uintptr_t)_rdc_openc,		0,
-	"Close",	(uintptr_t)_rdc_close,		0,
-	"Attach",	(uintptr_t)_rdc_attach,		0,
-	"Detach",	(uintptr_t)_rdc_detach,		0,
-	"AllocHandle",	(uintptr_t)_rdc_alloc_handle,	0,
-	"FreeHandle",	(uintptr_t)_rdc_free_handle,	0,
-	"AllocBuf",	(uintptr_t)_rdc_alloc_buf,	0,
-	"FreeBuf",	(uintptr_t)_rdc_free_buf,	0,
-	"GetPinned",	(uintptr_t)_rdc_get_pinned,	0,
-	"Discard",	(uintptr_t)_rdc_discard_pinned,	0,
-	"PartSize",	(uintptr_t)_rdc_partsize,	0,
-	"MaxFbas",	(uintptr_t)_rdc_maxfbas,	0,
-	"Control",	(uintptr_t)_rdc_control,	0,
-	"Read",		(uintptr_t)_rdc_read,		0,
-	"Write",	(uintptr_t)_rdc_write,		0,
-	"Zero",		(uintptr_t)_rdc_zero,		0,
-	"Uncommit",	(uintptr_t)_rdc_uncommit,	0,
-	"TrackSize",	(uintptr_t)_rdc_trksize,	0,
-	"Provide",	0,				0,
-	0,		0,				0
+	{ "Open",	(uintptr_t)_rdc_openc,		0 },
+	{ "Close",	(uintptr_t)_rdc_close,		0 },
+	{ "Attach",	(uintptr_t)_rdc_attach,		0 },
+	{ "Detach",	(uintptr_t)_rdc_detach,		0 },
+	{ "AllocHandle", (uintptr_t)_rdc_alloc_handle,	0 },
+	{ "FreeHandle",	(uintptr_t)_rdc_free_handle,	0 },
+	{ "AllocBuf",	(uintptr_t)_rdc_alloc_buf,	0 },
+	{ "FreeBuf",	(uintptr_t)_rdc_free_buf,	0 },
+	{ "GetPinned",	(uintptr_t)_rdc_get_pinned,	0 },
+	{ "Discard",	(uintptr_t)_rdc_discard_pinned,	0 },
+	{ "PartSize",	(uintptr_t)_rdc_partsize,	0 },
+	{ "MaxFbas",	(uintptr_t)_rdc_maxfbas,	0 },
+	{ "Control",	(uintptr_t)_rdc_control,	0 },
+	{ "Read",	(uintptr_t)_rdc_read,		0 },
+	{ "Write",	(uintptr_t)_rdc_write,		0 },
+	{ "Zero",	(uintptr_t)_rdc_zero,		0 },
+	{ "Uncommit",	(uintptr_t)_rdc_uncommit,	0 },
+	{ "TrackSize",	(uintptr_t)_rdc_trksize,	0 },
+	{ "Provide",	(uintptr_t)NULL,		0 },
+	{ NULL,		(uintptr_t)NULL,		0 }
 };
 
 static nsc_def_t _rdc_ior_def[] = {
-	"Open",		(uintptr_t)_rdc_openr,		0,
-	"Close",	(uintptr_t)_rdc_close,		0,
-	"Attach",	(uintptr_t)_rdc_attach,		0,
-	"Detach",	(uintptr_t)_rdc_detach,		0,
-	"AllocHandle",	(uintptr_t)_rdc_alloc_handle,	0,
-	"FreeHandle",	(uintptr_t)_rdc_free_handle,	0,
-	"AllocBuf",	(uintptr_t)_rdc_alloc_buf,	0,
-	"FreeBuf",	(uintptr_t)_rdc_free_buf,	0,
-	"GetPinned",	(uintptr_t)_rdc_get_pinned,	0,
-	"Discard",	(uintptr_t)_rdc_discard_pinned,	0,
-	"PartSize",	(uintptr_t)_rdc_partsize,	0,
-	"MaxFbas",	(uintptr_t)_rdc_maxfbas,	0,
-	"Control",	(uintptr_t)_rdc_control,	0,
-	"Read",		(uintptr_t)_rdc_read,		0,
-	"Write",	(uintptr_t)_rdc_write,		0,
-	"Zero",		(uintptr_t)_rdc_zero,		0,
-	"Uncommit",	(uintptr_t)_rdc_uncommit,	0,
-	"TrackSize",	(uintptr_t)_rdc_trksize,	0,
-	"Provide",	0,				0,
-	0,		0,				0
+	{ "Open",	(uintptr_t)_rdc_openr,		0 },
+	{ "Close",	(uintptr_t)_rdc_close,		0 },
+	{ "Attach",	(uintptr_t)_rdc_attach,		0 },
+	{ "Detach",	(uintptr_t)_rdc_detach,		0 },
+	{ "AllocHandle", (uintptr_t)_rdc_alloc_handle,	0 },
+	{ "FreeHandle",	(uintptr_t)_rdc_free_handle,	0 },
+	{ "AllocBuf",	(uintptr_t)_rdc_alloc_buf,	0 },
+	{ "FreeBuf",	(uintptr_t)_rdc_free_buf,	0 },
+	{ "GetPinned",	(uintptr_t)_rdc_get_pinned,	0 },
+	{ "Discard",	(uintptr_t)_rdc_discard_pinned,	0 },
+	{ "PartSize",	(uintptr_t)_rdc_partsize,	0 },
+	{ "MaxFbas",	(uintptr_t)_rdc_maxfbas,	0 },
+	{ "Control",	(uintptr_t)_rdc_control,	0 },
+	{ "Read",	(uintptr_t)_rdc_read,		0 },
+	{ "Write",	(uintptr_t)_rdc_write,		0 },
+	{ "Zero",	(uintptr_t)_rdc_zero,		0 },
+	{ "Uncommit",	(uintptr_t)_rdc_uncommit,	0 },
+	{ "TrackSize",	(uintptr_t)_rdc_trksize,	0 },
+	{ "Provide",	(uintptr_t)NULL,		0 },
+	{ NULL,		(uintptr_t)NULL,		0 }
 };
